function [] = Main( mask_id )
% This is a function for running compression on a single image. It will
% output the compression to a file "out.jpg". It will also calculate the
% L2-norm, the sizes of the original and compressed images, and the ratio
% between their sizes, printing these results
% Parameters:
%            mask_id - Change this parameter to use a different mask from getmask.m

image_file = 'cameraman.tiff';
tic;
[I, DCT, rDCT, I2] = compressimage(image_file, mask_id);
time = toc;
imshow(I), figure, imshow(I2)

out_filename = strcat(strcat('out', num2str(mask_id)), '.jpg');
imwrite(I2, out_filename);


% Compute deviation from original picture
error = geterror(I, I2);

% Compute original and compressed image sizes 
orig_size = nnz(DCT)/1024;
result_size = nnz(rDCT)/1024;

fprintf('The L2-norm is %d\n', error)
fprintf('The size of the original image was %dKB\n', orig_size)
fprintf('The size of the result image was %dKB\n', result_size);
fprintf('That is %d times smaller\n', orig_size/result_size)
fprintf('The total time was %d\n\n', time)